import request from '@/config/axios'

export interface MmPredictAlarmMessageVO {
  id: string
  configId: string,
  title: string,
  content: string,
  alarmObj: string,
  pointId: string,
  itemId: string,
  outId: string,
  currentValue: number,
  outTime: Date,
  outValue: number,
  alarmType: string,
  alarmTime: Date,
  createTime: Date,
}

export interface MmPredictAlarmMessagePageReqVO extends PageParam {
  title?: string,
  predictTime?: Date,
  outIds?: []
}

// 查询MmPredictAlarmMessage列表
export const getMmPredictAlarmMessagePage = (params: MmPredictAlarmMessagePageReqVO) => {
  return request.get({ url: '/model/pre/alarm-message/page', params })
}

export const getListByOut = (data: MmPredictAlarmMessagePageReqVO) => {
  return request.post({ url: '/model/pre/alarm-message/list-out', data })
}

